public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: logwatch-and-similar: Adjust test relevancy
@ 2026-09-11 13:22 Stepan Broz
  0 siblings, 0 replies; only message in thread
From: Stepan Broz @ 2026-09-11 13:22 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 5f0d894eaacf1f08ae70801f5733c3bd6bf013f9
            Author : Stepan Broz <sbroz@redhat.com>
            Date   : 2025-04-17T15:40:56+00:00
            Stats  : +2/-0 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/5f0d894eaacf1f08ae70801f5733c3bd6bf013f9?branch=pr775-checkpolicy-revdeps

            Log:
            logwatch-and-similar: Adjust test relevancy

Do not test RHEL-34135 on RHEL-9.4 and lower

---
diff --git a/selinux-policy/logwatch-and-similar/runtest.sh b/selinux-policy/logwatch-and-similar/runtest.sh
index c712baf..c3321f1 100755
--- a/selinux-policy/logwatch-and-similar/runtest.sh
+++ b/selinux-policy/logwatch-and-similar/runtest.sh
@@ -53,11 +53,13 @@ rlJournalStart
         sleep 2
     rlPhaseEnd
 
+    if ! rlIsRHEL "<9.5" ; then
     rlPhaseStartTest "bz#2183432 + RHEL-34135"
         rlRun "ls -Z /proc/sys/net/ipv6/conf/all/disable_ipv6 | grep :sysctl_net_t"
         rlSESearchRule "allow logwatch_mail_t sysctl_net_t : dir { search } [ ]"
         rlSESearchRule "allow logwatch_mail_t sysctl_net_t : file { getattr open read } [ ]"
     rlPhaseEnd
+    fi
 
     if ! rlIsRHEL 9 && ! rlIsCentOS 9 ; then
     rlPhaseStartTest "bz#2270484"

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:22 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:22 [tests/selinux] pr775-checkpolicy-revdeps: logwatch-and-similar: Adjust test relevancy Stepan Broz

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox